Skip to navigation

Delete template document fields

View as Markdown
Deletes custom document fields from an existing template document.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

documentIdstringRequired

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).

Tab objects have a documentId property that specifies the document on which to place the tab.

templateIdstringRequired
The ID of the template.

Request

This endpoint expects an object: documentFieldsInformation

documentFieldslist of objectsOptional

The array of name/value custom data strings to be added to a document. Custom document field information is returned in the status, but otherwise is not used by Docusign. The array contains the elements:

  • name: A string that can be a maximum of 50 characters.
  • value: A string that can be a maximum of 200 characters.

If you are using XML, the name/value pair is contained in a nameValue element.

Response

Successful response.
documentFieldslist of objectsOptional

The array of name/value custom data strings to be added to a document. Custom document field information is returned in the status, but otherwise is not used by Docusign. The array contains the elements:

  • name: A string that can be a maximum of 50 characters.
  • value: A string that can be a maximum of 200 characters.

If you are using XML, the name/value pair is contained in a nameValue element.

Errors

400
Bad Request Error